// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="./../../Packages/Beckhoff.TwinCAT.HMI.Framework.12.760.59/runtimes/native1.12-tchmi/TcHmi.d.ts" />

(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function Camera_1(par1) {
                function CameraAll(par1) {
                    $("#TcHmiButton_start").click(function init() {
                        var sTest = "init"
                        login = true;
                        console.log(sTest)
                        console.log(login)
                        WebVideoCtrl.I_InitPlugin({
                            bWndFull: true,     //是否支持单窗口双击全屏，默认支持 true:支持 false:不支持
                            iWndowType: 1,
                            cbSelWnd: function (xmlDoc) {
                                g_iWndIndex = parseInt($(xmlDoc).find("SelectWnd").eq(0).text(), 10);
                                var szInfo = "当前选择的窗口编号：" + g_iWndIndex;
                                showCBInfo(szInfo);
                            },
                            cbDoubleClickWnd: function (iWndIndex, bFullScreen) {
                                var szInfo = "当前放大的窗口编号：" + iWndIndex;
                                if (!bFullScreen) {
                                    szInfo = "当前还原的窗口编号：" + iWndIndex;
                                }
                                showCBInfo(szInfo);
                            },
                            cbEvent: function (iEventType, iParam1, iParam2) {
                                if (2 == iEventType) {// 回放正常结束
                                    showCBInfo("窗口" + iParam1 + "回放结束！");
                                } else if (-1 == iEventType) {
                                    showCBInfo("设备" + iParam1 + "网络错误！");
                                } else if (3001 == iEventType) {
                                    clickStopRecord(g_szRecordType, iParam1);
                                }
                            },
                            cbInitPluginComplete: function () {
                                WebVideoCtrl.I_InsertOBJECTPlugin("TcHmiContainer_1").then(() => {
                                    // 检查插件是否最新
                                    WebVideoCtrl.I_CheckPluginVersion().then((bFlag) => {
                                        if (bFlag) {
                                            alert("检测到新的插件版本，双击开发包目录里的HCWebSDKPlugin.exe升级！");
                                        }
                                    });
                                }, () => {
                                    alert("插件初始化失败，请确认是否已安装插件；如果未安装，请双击开发包目录里的HCWebSDKPlugin.exe安装！");
                                });
                            }
                        });
                        //////////////////////////////////////////////



                    });
                    ////////////////////////////////////////////////////login

                    $("#TcHmiButton_login").click(function login() {
                        const szIP = "192.168.1.64",
                            szPort = 80,
                            szUsername = "admin",
                            szPassword = "qwer741852";
                        var sTest = "login"
                        console.log(sTest)

                        var szDeviceIdentify = szIP + "_" + szPort;
                        WebVideoCtrl.I_Login(szIP, 1, szPort, szUsername, szPassword, {
                            timeout: 3000,
                            success: function (string1) {
                                string1 = "success";
                                console.log(string1);

                            },
                            error: function (string1) {
                                string1 = "fail";
                                console.log(string1);
                            }
                        });
                    });

                    $("#TcHmiButton_logout").click(function () {
                        const szIP = "192.168.1.64",
                            szPort = 80,
                            szUsername = "admin",
                            szPassword = "qwer741852";
                        var sTest = "logout"
                        console.log(sTest)


                        var szDeviceIdentify = szIP + "_" + szPort;
                        WebVideoCtrl.I_Logout(szDeviceIdentify);


                    })

                    ////////////////////////////////////////////////////////
                    //var TcHmiButton_login = document.getElementById("TcHmiButton_login");
                    //var TcHmiButton_login = document.getElementById("TcHmiButton_login");
                    //var TcHmiContainer_1 = document.getElementById("TcHmiContainer_1");
                    //var TcHmiButton_start = document.getElementById("TcHmiButton_start");
                    ////let TcHmiButton_logout = document.getElementById("TcHmiButton_logout");
                    ////let TcHmiButton_startdisplay = document.getElementById("TcHmiButton_startdisplay");
                    ////let TcHmiButton_stopdisplay = document.getElementById("TcHmiButton_stopdisplay");
                    //TcHmiButton_start.click(function(){

                    //    WebVideoCtrl.I_InitPlugin({
                    //        bWndFull: true,     //是否支持单窗口双击全屏，默认支持 true:支持 false:不支持
                    //        iWndowType: 1,
                    //        cbSelWnd: function (xmlDoc) {
                    //            g_iWndIndex = parseInt($(xmlDoc).find("SelectWnd").eq(0).text(), 10);
                    //            var szInfo = "当前选择的窗口编号：" + g_iWndIndex;
                    //            showCBInfo(szInfo);
                    //        },
                    //        cbDoubleClickWnd: function (iWndIndex, bFullScreen) {
                    //            var szInfo = "当前放大的窗口编号：" + iWndIndex;
                    //            if (!bFullScreen) {
                    //                szInfo = "当前还原的窗口编号：" + iWndIndex;
                    //            }
                    //            showCBInfo(szInfo);
                    //        },
                    //        cbEvent: function (iEventType, iParam1, iParam2) {
                    //            if (2 == iEventType) {// 回放正常结束
                    //                showCBInfo("窗口" + iParam1 + "回放结束！");
                    //            } else if (-1 == iEventType) {
                    //                showCBInfo("设备" + iParam1 + "网络错误！");
                    //            } else if (3001 == iEventType) {
                    //                clickStopRecord(g_szRecordType, iParam1);
                    //            }
                    //        },
                    //        cbInitPluginComplete: function () {
                    //            WebVideoCtrl.I_InsertOBJECTPlugin("TcHmiContainer_1").then(() => {
                    //                // 检查插件是否最新
                    //                WebVideoCtrl.I_CheckPluginVersion().then((bFlag) => {
                    //                    if (bFlag) {
                    //                        alert("检测到新的插件版本，双击开发包目录里的HCWebSDKPlugin.exe升级！");
                    //                    }
                    //                });
                    //            }, () => {
                    //                alert("插件初始化失败，请确认是否已安装插件；如果未安装，请双击开发包目录里的HCWebSDKPlugin.exe安装！");
                    //            });
                    //        }
                    //    });
                    //});
                    //////////////////////////////////////////////////////login
                    ////    if (Login == true) {
                  
                    //TcHmiButton_login.click(
                    //    function clickLogin() {
                    //        const szIP = "192.168.1.64",
                    //            szPort = 80,
                    //            szUsername = "admin",
                    //            szPassword = "qwer741852";
                    //        if ("" == szIP || "" == szPort) {
                    //            return;
                    //        }
                    //        var szDeviceIdentify = szIP + "_" + szPort;
                    //        WebVideoCtrl.I_Login(szIP, 1, szPort, szUsername, szPassword, {
                    //            timeout: 3000,
                    //            success: function (string1) {
                    //                 string1 = "success";
                    //                    console.log(string1);
                                  
                    //            },
                    //            error: function (string1) {
                    //                      string1 = "fail";
                    //                console.log(string1);
                                   
                    //            }
                    //        });
                    //    }
                    //)
                    // }
                    ///////////////////////////////////////logout
                    //if (Logout == true) {
                    //    WebVideoCtrl.I_Login(szIP, 1, szPort, szUsername, szPassword, {
                    //        timeout: 3000,
                    //        success: function (szInfo) {
                    //            szInfo = "logout success";
                    //        },
                    //        error: function (szInfo) {
                    //            szInfo = "logout fail";
                    //        }
                    //    });
                    //}
                    //////////////////////////////////////////////////getInfor
                    //let getInfor = false
                    //if (getInfor) {

                    //    var szDeviceIdentify = "192.168.1.64";
                    //    WebVideoCtrl.I_GetDeviceInfo(szDeviceIdentify, {
                    //        success: function (xmlDoc) {
                    //            var arrStr = [];
                    //            arrStr.push("设备名称：" + $(xmlDoc).find("deviceName").eq(0).text() + "\r\n");
                    //            arrStr.push("设备ID：" + $(xmlDoc).find("deviceID").eq(0).text() + "\r\n");
                    //            arrStr.push("型号：" + $(xmlDoc).find("model").eq(0).text() + "\r\n");
                    //            arrStr.push("设备序列号：" + $(xmlDoc).find("serialNumber").eq(0).text() + "\r\n");
                    //            arrStr.push("MAC地址：" + $(xmlDoc).find("macAddress").eq(0).text() + "\r\n");
                    //            arrStr.push("主控版本：" + $(xmlDoc).find("firmwareVersion").eq(0).text() + " " + $(xmlDoc).find("firmwareReleasedDate").eq(0).text() + "\r\n");
                    //            arrStr.push("编码版本：" + $(xmlDoc).find("encoderVersion").eq(0).text() + " " + $(xmlDoc).find("encoderReleasedDate").eq(0).text() + "\r\n");

                    //            console.log("success");
                    //            alert(arrStr.join(""));
                    //        },
                    //        error: function (oError) {
                    //            console.log("error");
                    //        }
                    //    });
                    //};
                    //////////////////////////////////////////// start display
                    //if (StartDisplay == true) {

                    //    var szDeviceIdentify = "192.168.1.64";
                    //    WebVideoCtrl.I_StartRealPlay(szDeviceIdentify, {
                    //        iWndIndex: 0,
                    //        iStreamType: 1,
                    //        iChannelID: 1,
                    //        iPort: 554,
                    //        success: function (szInfo) {
                    //            szInfo = "success"
                    //            console.log(szInfo);
                    //        },
                    //        error: function (szInfo) {
                    //            szInfo = "fail"
                    //            console.log(szInfo);
                    //        }
                    //    })
                    //}
                    //////////////////////////////////////////// start display
                    //if (StopDisplay == true) {
                    //    var oWndInfo = WebVideoCtrl.I_GetWindowStatus(g_iWndIndex),
                    //        szInfo = "";
                    //    var szDeviceIdentify = "192.168.1.64";
                    //    WebVideoCtrl.I_Stop({
                    //        success: function () {
                    //            szInfo = "停止预览成功！";
                    //            showOPInfo(oWndInfo.szDeviceIdentify + " " + szInfo);
                    //        },
                    //        error: function (oError) {
                    //            showOPInfo(szDeviceIdentify + " 停止预览失败！", oError.errorCode, oError.errorMsg);
                    //        }
                    //    });
                    //}
                }
            }
            TcHmiProject1.Camera_1 = Camera_1;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);
TcHmi.Functions.registerFunctionEx('Camera_1', 'TcHmi.Functions.TcHmiProject1', TcHmi.Functions.TcHmiProject1.Camera_1);
