// Keep these lines for a best effort IntelliSense of Visual Studio 2017 and higher.
/// <reference path="./../../Packages/Beckhoff.TwinCAT.HMI.Framework.12.760.59/runtimes/native1.12-tchmi/TcHmi.d.ts" />

(function (/** @type {globalThis.TcHmi} */ TcHmi) {
    var Functions;
    (function (/** @type {globalThis.TcHmi.Functions} */ Functions) {
        var TcHmiProject1;
        (function (TcHmiProject1) {
            function CameraInit(par1) {
                var sTest = "init"
                login = true;
                console.log(sTest)
                console.log(login)
                WebVideoCtrl.I_InitPlugin({
                    bWndFull: true,     //是否支持单窗口双击全屏，默认支持 true:支持 false:不支持
                    iWndowType: 1,
                    cbSelWnd: function (xmlDoc) {
                        g_iWndIndex = parseInt($(xmlDoc).find("SelectWnd").eq(0).text(), 10);
                        var szInfo = "当前选择的窗口编号：" + g_iWndIndex;
                        showCBInfo(szInfo);
                    },
                    cbDoubleClickWnd: function (iWndIndex, bFullScreen) {
                        var szInfo = "当前放大的窗口编号：" + iWndIndex;
                        if (!bFullScreen) {
                            szInfo = "当前还原的窗口编号：" + iWndIndex;
                        }
                        showCBInfo(szInfo);
                    },
                    cbEvent: function (iEventType, iParam1, iParam2) {
                        if (2 == iEventType) {// 回放正常结束
                            showCBInfo("窗口" + iParam1 + "回放结束！");
                        } else if (-1 == iEventType) {
                            showCBInfo("设备" + iParam1 + "网络错误！");
                        } else if (3001 == iEventType) {
                            clickStopRecord(g_szRecordType, iParam1);
                        }
                    },
                    cbInitPluginComplete: function () {
                        WebVideoCtrl.I_InsertOBJECTPlugin("TcHmiContainer_1").then(() => {
                            // 检查插件是否最新
                            WebVideoCtrl.I_CheckPluginVersion().then((bFlag) => {
                                if (bFlag) {
                                    alert("检测到新的插件版本，双击开发包目录里的HCWebSDKPlugin.exe升级！");
                                }
                            });
                        }, () => {
                            alert("插件初始化失败，请确认是否已安装插件；如果未安装，请双击开发包目录里的HCWebSDKPlugin.exe安装！");
                        });
                    }
                });



            }
            TcHmiProject1.CameraInit = CameraInit;
        })(TcHmiProject1 = Functions.TcHmiProject1 || (Functions.TcHmiProject1 = {}));
    })(Functions = TcHmi.Functions || (TcHmi.Functions = {}));
})(TcHmi);
TcHmi.Functions.registerFunctionEx('CameraInit', 'TcHmi.Functions.TcHmiProject1', TcHmi.Functions.TcHmiProject1.CameraInit);
